const reg = require('../services/registration.services');

async function register(req, res, next) {
  try {
    let response = await reg.regUser(req.body);
    res.status(response.status).json(response);
  } catch (err) {
    console.error('Controller Error', err.message);
    next(err);
  }
}

async function request(req, res, next) {
  try {
    let response = await reg.createRegKey(req.body);
    res.status(response.status).json(response);
  } catch (err) {
    console.error(err);
    next(err);
  }
}

module.exports = {
  register,
  request
};